#pragma once

#include "sdkexport.h"
#include <string>

namespace mpl {

class MPL_API ExtJoint {
public:
    double eax_a = 9e9;
    double eax_b = 9e9;
    double eax_c = 9e9;
    double eax_d = 9e9;
    double eax_e = 9e9;
    double eax_f = 9e9;

public:
    ExtJoint() = default;
    ~ExtJoint() = default;
    ExtJoint(const ExtJoint&) = default;
    ExtJoint& operator=(const ExtJoint&) = default;
    ExtJoint(ExtJoint&&) = default;
    ExtJoint& operator=(ExtJoint&&) = default;

    bool valid() const;

    bool isValid(unsigned index) const;

    double getJointValue(unsigned index) const;

    std::string toString() const;
};

}
